Bug 1414172 - [abrt] grub-customizer: MainController::refreshTabAction(): grub-customizer killed by SIGSEGV
Summary: [abrt] grub-customizer: MainController::refreshTabAction(): grub-customizer k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub-customizer
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f67c0da452e8076b161da770497...
: 1425136 1459315 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 00:08 UTC by Samuel Lee
Modified: 2017-12-12 10:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.71 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: core_backtrace (6.84 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: dso_list (11.81 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: environ (1.88 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: maps (56.10 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: mountinfo (3.59 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: open_fds (1.19 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: var_log_messages (327 bytes, text/plain)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details
File: exploitable (52 bytes, application/octet-stream)
2017-01-18 00:08 UTC, Samuel Lee
no flags Details

Description Samuel Lee 2017-01-18 00:08:04 UTC
Version-Release number of selected component:
grub-customizer-5.0.6-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/grub-customizer
crash_function: MainController::refreshTabAction
executable:     /usr/bin/grub-customizer
global_pid:     31849
kernel:         4.8.12-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 MainController::refreshTabAction at /usr/src/debug/grub-customizer-5.0.6/src/Controller/MainController.hpp:963
 #1 std::function<void (unsigned int)>::operator()(unsigned int) const at /usr/include/c++/6.0.0/functional:2136
 #2 View_Gtk_Main::signal_tab_changed at /usr/src/debug/grub-customizer-5.0.6/src/View/Gtk/Main.hpp:975
 #3 sigc::slot2<void, Gtk::Widget*, unsigned int>::operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:776
 #4 (anonymous namespace)::Notebook_signal_page_added_callback at notebook.cc:205
 #9 gtk_notebook_switch_page at gtknotebook.c:6237
 #10 gtk_notebook_real_remove at gtknotebook.c:5025
 #11 gtk_notebook_remove at gtknotebook.c:4230
 #12 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #13 _g_closure_invoke_va at gclosure.c:867

Potential duplicate: bug 1387822

Comment 1 Samuel Lee 2017-01-18 00:08:09 UTC
Created attachment 1241983 [details]
File: backtrace

Comment 2 Samuel Lee 2017-01-18 00:08:10 UTC
Created attachment 1241984 [details]
File: cgroup

Comment 3 Samuel Lee 2017-01-18 00:08:12 UTC
Created attachment 1241985 [details]
File: core_backtrace

Comment 4 Samuel Lee 2017-01-18 00:08:14 UTC
Created attachment 1241986 [details]
File: dso_list

Comment 5 Samuel Lee 2017-01-18 00:08:15 UTC
Created attachment 1241987 [details]
File: environ

Comment 6 Samuel Lee 2017-01-18 00:08:16 UTC
Created attachment 1241988 [details]
File: limits

Comment 7 Samuel Lee 2017-01-18 00:08:18 UTC
Created attachment 1241989 [details]
File: maps

Comment 8 Samuel Lee 2017-01-18 00:08:20 UTC
Created attachment 1241990 [details]
File: mountinfo

Comment 9 Samuel Lee 2017-01-18 00:08:21 UTC
Created attachment 1241991 [details]
File: namespaces

Comment 10 Samuel Lee 2017-01-18 00:08:22 UTC
Created attachment 1241992 [details]
File: open_fds

Comment 11 Samuel Lee 2017-01-18 00:08:24 UTC
Created attachment 1241993 [details]
File: proc_pid_status

Comment 12 Samuel Lee 2017-01-18 00:08:25 UTC
Created attachment 1241994 [details]
File: var_log_messages

Comment 13 Samuel Lee 2017-01-18 00:08:26 UTC
Created attachment 1241995 [details]
File: exploitable

Comment 14 Gerasim 2017-02-20 16:12:56 UTC
*** Bug 1425136 has been marked as a duplicate of this bug. ***

Comment 15 patrick.guio 2017-06-06 19:07:17 UTC
*** Bug 1459315 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-11-16 14:43:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:52:47 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.